Skip to main content
POST
/
tasks
/
schedule
Schedule tasks and return a map from task type to task name scheduled. If task type is missing, schedules all tasks. If table name is missing, schedules tasks for all tables in the database. If database is missing in headers, uses default.
curl --request POST \
  --url https://dev.startree.ai/tasks/schedule \
  --header 'Authorization: <api-key>'
{}

Authorizations

Authorization
string
header
required

The format of the key is "Basic <token>" or "Bearer <token>"

Query Parameters

taskType
string

Task type. If missing, schedules all tasks.

tableName
string

Table name (with type suffix). If missing, schedules tasks for all tables in the database.

minionInstanceTag
string

Minion Instance tag to schedule the task explicitly on

Response

200 - application/json

successful operation

{key}
string